"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationException = void 0;
const exception_1 = require("./exception");
class ValidationException extends exception_1.Exception {
    constructor(errors) {
        super(JSON.stringify(errors, null, 2));
        this.errors = errors;
    }
    static throw(property, constraints) {
        const validationError = {
            property,
            constraints,
        };
        throw new ValidationException([validationError]);
    }
}
exports.ValidationException = ValidationException;
