"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsAddress = void 0;
const class_validator_1 = require("class-validator");
const common_1 = require("../../common");
function IsAddress(options = {}) {
    return (object, propertyName) => {
        class_validator_1.registerDecorator({
            propertyName,
            options: Object.assign({ message: `${propertyName} must be an address` }, options),
            name: 'isAddress',
            target: object.constructor,
            constraints: [],
            validator: {
                validate(value) {
                    return common_1.isAddress(value);
                },
            },
        });
    };
}
exports.IsAddress = IsAddress;
