"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsUrl = void 0;
const class_validator_1 = require("class-validator");
const common_1 = require("../../common");
function IsUrl(validationOptions = {}) {
    return (object, propertyName) => {
        class_validator_1.registerDecorator({
            propertyName,
            options: Object.assign({ message: `${propertyName} must be url` }, validationOptions),
            name: 'isUrl',
            target: object.constructor,
            constraints: [],
            validator: {
                validate(value) {
                    return common_1.isUrl(value);
                },
            },
        });
    };
}
exports.IsUrl = IsUrl;
