import { Service } from '../common';
import { ENSNode, ENSRootNode } from './classes';
export declare class ENSService extends Service {
    get ensAddrReversOwner(): Promise<string>;
    getENSNodeOwner(name: string): Promise<string>;
    reserveENSNode(name: string): Promise<ENSNode>;
    validateENSNode(name: string): Promise<boolean>;
    getENSNode(nameOrHashOrAddress: string): Promise<ENSNode>;
    getENSRootNode(name: string): Promise<ENSRootNode>;
    ensAddressesLookup(names: string[]): Promise<string[]>;
    ensNamesLookup(addresses: string[]): Promise<string[]>;
    getENSTopLevelDomains(): Promise<string[]>;
}
