import { BaseClass } from '../../common';
export declare class ApprovalData {
    minimumApprovalAmount: string;
    approvalTokenAddress: string;
    allowanceTarget: string;
    owner: string;
}
export declare class CrossChainBridgeBridgeAsset {
    chainId: number;
    address: string;
    symbol: string;
    name: string;
    decimals: number;
    icon: string;
    chainAgnosticId?: string;
    rank: number;
    updatedAt: string;
    isEnabled: boolean;
    createdAt: string;
}
export declare class CrossChainBridgeGasFee {
    gasLimit: number;
    asset: CrossChainBridgeBridgeAsset;
    feesInUsd: number;
}
export declare class CrossChainBridgeProtocolFees {
    amount: number;
    feesInUsd: number;
    asset: CrossChainBridgeBridgeAsset;
}
export declare class Protocol extends BaseClass<Protocol> {
    name: string;
    displayName: string;
    icon: string;
}
export declare class Step extends BaseClass<Step> {
    type: string;
    chainId?: number;
    fromChainId?: number;
    fromAmount: string;
    toAmount: string;
    protocolFees: CrossChainBridgeProtocolFees;
    gasFees: CrossChainBridgeGasFee;
    toAsset: CrossChainBridgeBridgeAsset;
    fromAsset: CrossChainBridgeBridgeAsset;
    protocol: Protocol;
}
export declare class CrossChainBridgeTransaction extends BaseClass<CrossChainBridgeTransaction> {
    userTxType: string;
    txType: string;
    chainId: number;
    fromAsset: CrossChainBridgeBridgeAsset;
    fromAmount: string;
    toAmount: string;
    toAsset: CrossChainBridgeBridgeAsset;
    stepCount: number;
    routePath: string;
    sender: string;
    approvalData: ApprovalData;
    steps: Step[];
    protocolFees: CrossChainBridgeProtocolFees;
}
