import { BaseClass } from '../../common';
import { CrossChainBridgeBridgeAsset } from './cross-chain-bridge-route-transaction';
export declare class CrossChainBridgeApprovalData extends BaseClass<CrossChainBridgeApprovalData> {
    minimumApprovalAmount: string;
    approvalTokenAddress: string;
    allowanceTarget: string;
    owner: string;
}
export declare class CrossChainBridgeBuildTXResponse extends BaseClass<CrossChainBridgeBuildTXResponse> {
    userTxType: string;
    txType: string;
    txData: string;
    txTarget: string;
    chainId: number;
    value: string;
    approvalData: CrossChainBridgeApprovalData;
}
export declare class CrossChainBridgeRoute extends BaseClass<CrossChainBridgeRoute> {
    routeId: string;
    fromAmount: string;
    toAmount: string;
    usedBridgeNames: string[];
    chainGasBalances: JSON;
    totalUserTx: number;
    sender: string;
    totalGasFeesInUsd: number;
    userTxs: JSON;
    fromAsset: CrossChainBridgeBridgeAsset;
    fromChainId: any;
    toAsset: CrossChainBridgeBridgeAsset;
    toChainId?: number;
    routePath: string;
}
export declare class CrossChainBridgeRouteRoute extends BaseClass<CrossChainBridgeRouteRoute> {
    route: CrossChainBridgeRoute;
}
