import { BigNumber } from 'ethers';
import { Service } from '../common';
import { ExchangeOffer, CrossChainBridgeSupportedChain, CrossChainBridgeToken, CrossChainBridgeRoute, CrossChainBridgeBuildTXResponse, CrossChainQuote } from './classes';
import { PaginatedTokens } from '../assets';
import { GetCrossChainBridgeTokenListDto, GetCrossChainBridgeRouteDto } from '../dto';
export declare class ExchangeService extends Service {
    getExchangeSupportedAssets(page?: number, limit?: number): Promise<PaginatedTokens>;
    getCrossChainQuote(fromTokenAddress: string, toTokenAddress: string, fromChainId: number, toChainId: number, fromAmount: BigNumber): Promise<CrossChainQuote>;
    getExchangeOffers(fromTokenAddress: string, toTokenAddress: string, fromAmount: BigNumber): Promise<ExchangeOffer[]>;
    getCrossChainBridgeSupportedChains(): Promise<CrossChainBridgeSupportedChain[]>;
    getCrossChainBridgeTokenList(dto: GetCrossChainBridgeTokenListDto): Promise<CrossChainBridgeToken[]>;
    findCrossChainBridgeRoutes(dto: GetCrossChainBridgeRouteDto): Promise<CrossChainBridgeRoute[]>;
    buildCrossChainBridgeTransaction(dto: CrossChainBridgeRoute): Promise<CrossChainBridgeBuildTXResponse>;
    getCrossChainBridgeTransaction<T = any, P = any>(payload: P): Promise<T>;
}
