import { BigNumber } from 'ethers';
import { ContractEvent } from '../../contract';
import { GatewayBatchStates } from '../constants';
import { GatewayTransaction } from './gateway-transaction';
import { GatewaySubmittedBatchLog } from './gateway-submitted-batch-log';
export declare class GatewaySubmittedBatch {
    transaction: Partial<GatewayTransaction>;
    hash: string;
    state: GatewayBatchStates;
    account: string;
    nonce: number;
    to: string[];
    data: string[];
    logs: GatewaySubmittedBatchLog[];
    events?: ContractEvent[];
    senderSignature: string;
    estimatedGas: number;
    estimatedGasPrice: BigNumber;
    feeToken: string;
    feeAmount: BigNumber;
    feeData: string;
    delayedUntil?: Date;
    createdAt: Date;
    updatedAt: Date;
}
