import { NetworkNames } from '../network';
import { State } from './classes';
export declare type StateStorageState = Omit<State, 'wallet' | 'network' | 'gatewayBatch'>;
export interface StateStorage {
    setState(walletAddress: string, networkName: NetworkNames, state: StateStorageState): Promise<void>;
    getState(walletAddress: string, networkName: NetworkNames): Promise<StateStorageState>;
}
export interface StateOptions {
    storage?: StateStorage;
}
