import { BigNumber } from 'ethers';
import { TransactionDirections, TransactionStatuses } from '../constants';
import { TransactionAsset } from './transaction-asset';
import { TransactionBatch } from './transaction-batch';
import { TransactionLog } from './transaction-log';
import { InternalTransaction } from './internal-transaction';
export declare class Transaction {
    hash: string;
    nonce: number;
    blockHash: string;
    blockNumber: number;
    timestamp: number;
    from: string;
    to: string;
    value: BigNumber;
    gasPrice: BigNumber;
    gasLimit: number;
    input: string;
    transactionIndex: number;
    gasUsed: number;
    logs: TransactionLog[];
    status: TransactionStatuses;
    asset: TransactionAsset;
    blockExplorerUrl: string;
    direction: TransactionDirections;
    mainTransactionDataFetched: boolean;
    internalTransactionsFetched: boolean;
    internalTransactions: InternalTransaction[];
    batch: TransactionBatch;
}
