"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamicWalletProvider = void 0;
const network_1 = require("../../network");
const common_1 = require("../../common");
class DynamicWalletProvider {
    constructor(type) {
        this.type = type;
        this.address$ = new common_1.UniqueSubject();
        this.networkName$ = new common_1.UniqueSubject();
    }
    get address() {
        return this.address$.value;
    }
    get networkName() {
        return this.networkName$.value;
    }
    setAddress(address) {
        this.address$.next(common_1.prepareAddress(address));
    }
    setNetworkName(networkNameOrChainId) {
        this.networkName$.next(network_1.prepareNetworkName(networkNameOrChainId));
    }
}
exports.DynamicWalletProvider = DynamicWalletProvider;
